{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "DDD",
    " E ",
    "EEE"
  ],
  "key": {
    "D": {
      "item": "minecraft:diamond_block"
    },
    "E": {
      "item": "minecraft:emerald"
    }
  },
  "result": {
    "item": "minecraft:jigsaw"
  }
}